/*
	MDG Multiuser Dungeon Game -- gident.c user ident
	
	MDG is Copyright 1990 John C. Gonnerman
	This program is subject to the general MDG 
	copyright statement (see enclosed file, Copyright).
*/


static char *sccsvers = "@(#) gident.c\t(1.2)\tcreated 12/31/90";

#include <stdio.h>
#include <string.h>

#include "setup.h"
#include "files.h"
#include "messages.h"

extern char *progname;

extern int errno;
extern char *sys_errlist[];


int get_player(pname)
char *pname;
{
	char inbuf[80], prog[80], *p;
	FILE *fp;
	int num;

	pname[0] = '\0';

	strcpy(prog, GAME_HOME);
	strcat(prog, "/");
	strcat(prog, IDENTPROG);

	if((fp = popen(prog, "r")) == NULL)
		return -1;

	fgets(inbuf, 80, fp);
	fgets(pname, 19, fp);

	pclose(fp);

	for(p = pname; *p; p++)
		if(*p == '\n')
			*p = '\0';

	if(sscanf(inbuf, "%d", &num) != 1)
		return -1;

	return num;
}


/* end of file. */
